package com.zcloud.basic.info.api;

import com.alibaba.cola.dto.MultiResponse;
import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.basic.info.dto.UserEmploymentLogAddCmd;
import com.zcloud.basic.info.dto.UserEmploymentLogPageQry;
import com.zcloud.basic.info.dto.UserEmploymentLogQryCmd;
import com.zcloud.basic.info.dto.UserEmploymentLogUpdateCmd;
import com.zcloud.basic.info.dto.clientobject.UserEmploymentLogCO;

/**
 * web-client
 *
 * @Author zhangyue
 * @Date 2025-11-06 19:15:37
 */
public interface UserEmploymentLogServiceI {
    PageResponse<UserEmploymentLogCO> listPage(UserEmploymentLogPageQry qry);

    SingleResponse<UserEmploymentLogCO> add(UserEmploymentLogAddCmd cmd);

    void edit(UserEmploymentLogUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    MultiResponse<UserEmploymentLogCO> listAll(UserEmploymentLogQryCmd qry);
}

